// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

class FastlaneGetCertificatesParameters {
  const FastlaneGetCertificatesParameters({
    required this.gitPrivateKey,
    required this.appIdentifier,
    required this.keychainName,
    required this.keychainPassword,
    required this.gitUrl,
    required this.gitPassphrase,
  });

  final String gitPrivateKey;
  final String appIdentifier;
  final String keychainName;
  final String keychainPassword;
  final String gitUrl;
  final String gitPassphrase;

  List<String> toList() => [
        'app_identifier:$appIdentifier',
        'git_private_key:$gitPrivateKey',
        'keychain_name:$keychainName',
        'keychain_password:$keychainPassword',
        'git_url:$gitUrl',
        'storage_mode:git',
      ];
}
